<template>
 <div>
     <search-bar></search-bar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
                <th>{{$t('global.no')}}</th>
                <th>{{$t('item_inquire.no')}}</th>
                <th>{{$t('item_inquire.desc')}}</th>
                <th>{{$t('item_inquire.date')}}</th>
                <th>{{$t('item_inquire.status')}}</th>
                <th>{{$t('global.opreation')}}</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.item_inquire_number}}</td>
                <td>
                  <b-collapse :id="'collapse'+item.id">
                    <b-card>I am collapsable content!</b-card>
                  </b-collapse>
                  <a v-b-toggle="'collapse'+item.id" href="javascript:void(0)" class="btn m-btn--pill btn-outline-brand btn-sm toggle_description">نمایش</a>
                </td>
                <td>{{item.item_inquire_date}}</td>
                <td>{{item.inquire_status.name_dr}}</td>
                <td>
                    <router-link :to="'/items/inquire/view/'+item.id">
                        <i class="fa fa-eye"></i>
                    </router-link>
                    <router-link :to="'/items/inquire/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" @click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <div>
    <!-- Using modifiers -->
    <b-button  class="m-1">Toggle Collapse</b-button>
    <!-- Element to collapse -->

  </div>
</div>
</template>
<script>
    import customJS from '../../../../public/assets/js/custome.js';
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm,customJS],
        name: 'EndItemIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/inquire'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
